## cycle 1.64.0

=== DESCRIPTION ===
Package: cycle
Version: 1.64.0
Date: 2016-02-18
Title: Significance of periodic expression pattern in time-series data
Author: Matthias Futschik <mfutschik@ualg.pt>
Maintainer: Matthias Futschik <mfutschik@ualg.pt>
Depends: R (>= 2.10.0), Mfuzz
Imports: Biobase, stats
Description: Package for assessing the statistical significance of
        periodic expression based on Fourier analysis and comparison
        with data generated by different background models
License: GPL-2
URL: http://cycle.sysbiolab.eu
biocViews: Microarray, TimeCourse
git_url: https://git.bioconductor.org/packages/cycle
git_branch: RELEASE_3_22
git_last_commit: 3e6fa8d
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 03:25:02 UTC; biocbuild

## cycle 0.3.1

=== debian/changelog ===
cycle (0.3.1-9) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Added a watch file, thanks to Per Hansen.

  [ Ryan Kavanagh ]
  * Added a README.source, as required by Debian Policy Manual section 4.14
  * Added the Vcs-* tags

  [ Miriam Ruiz ]
  * Updated Hungarian translation. Closes: #684277
  * Removed annoying warning about deprecated md5 module. Closes: #658723
  * Fixed grammar error in debian/control. Closes: #684791
  * Upgraded Standards-Version from 3.7.3 to 3.9.4
  * Changed source package to DebSrc 3.0
  * Changed my email to miriam@debian.org
  * Removed many Lintian warnings

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix a typo in the package description.

 -- Miriam Ruiz <miriam@debian.org>  Mon, 08 Jul 2013 00:12:24 +0200

cycle (0.3.1-8) unstable; urgency=low

  * Switch to wxwidgets2.8: (Closes: #645627)
    - Update Depends from python-wxgtk2.6 to python-wxgtk2.8.
    - This also removes warnings. (Closes: #530339)
  * Small fix to the German translation, thanks Meike. (Closes: #629639)
  * Update the Catalan translation, thanks Mònica.
  * Fix typo, "Enter you name" -> "Enter your name" (Closes: #444776)
  * Switch to dh_python2 from dh_pysupport.
  * Add cycle.desktop, thanks to Mònica!

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 11 Nov 2011 19:28:21 +0100

cycle (0.3.1-7) unstable; urgency=low

  * Package now co-maintained by the Python Applications Team.
  * Move homepage field into control.
  * Bump Standards-Version to 3.7.3.
  * Update section in the menu file to the new policy.
  * Remove files pyversions and pycompat, no necessary anymore. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Dec 2007 13:20:35 +0100

cycle (0.3.1-6) unstable; urgency=low

  [ Miriam Ruiz ]
  * Modified building system for using quilt.

  [ Ana Beatriz Guerrero Lopez ]
  * Changed description s/Webpage/Homepage/ and added space to homepage
    pseudo header.
  * Improved catalan translation, thanks to Jordi Mallach. 
  * Removed dh_python from debian/rules.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 20 Oct 2006 01:21:47 +0200

cycle (0.3.1-5) unstable; urgency=low

  * Convert the package to the new Python policy. (Closes: #380783)
  * Bumped compat to 5
  * Removed README.Debian, since python locales are fixed in python2.4.
  * Some minor changes in packaging.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sun,  6 Aug 2006 23:09:08 +0200

cycle (0.3.1-4) unstable; urgency=low

  * Bumped standards-version to 3.7.2, no changes required.
  * Improved package descripcion s/reception/administration/, thanks nattie!
  * Added copyright of the debian packaging.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Mon, 15 May 2006 06:05:20 +0200

cycle (0.3.1-3) unstable; urgency=low

  * Added swedish translation, thanks to Daniel Nylander. (Closes: #346494).
  * Applied patch to let cycle export to iCal. Thanks to Joe Wreschnig.
    (Closes: #351595).
  * New maintainer address.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sun,  9 Apr 2006 22:24:42 +0200

cycle (0.3.1-2) unstable; urgency=low

  * Fix python syntax error that prevents starting. (Closes: #336117) 

 -- Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>  Fri, 28 Oct 2005 12:05:59 +0000

cycle (0.3.1-1) unstable; urgency=low

  * New upstream version. 
  * Now the program will show a message in the first execution of a user warning
    it is not a reliable contraceptive method. (Closes: #305441, Closes: #305434)
  * debian/control
    - Changed wxPython dependence, now only uses wxpython 2.6
  
 -- Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>  Thu, 13 Oct 2005 06:09:42 +0200

cycle (0.3.0-5) unstable; urgency=low

  * debian/copyright
    - Changed new postal address of the FSF.
    - Added p_rotor.py module license.
  
  * debian/rules
    - Cosmetic changes, removed binary-arch lines (not used) 
      and dh_python (unnecesary).
     
  * debian/control
    - Bumped Standards-Version to 3.6.2 (no packaging changes).
    - Removed python-dev build-dependency (not needed).
    - Joined Build-Depends and Build-Depends-Indep lines, the package 
      is build dependecies independent, so it was unnecesary a Build-Depends line. 
    - Changed ${python:Depends} dependecies for python.
    - Since wxpython packages are now named python-wxgtk2.X, changed
      wxPython dependence to allow use wxpython 2.4 and 2.6.

 -- Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>  Sat,  3 Sep 2005 16:17:51 +0000

cycle (0.3.0-4) unstable; urgency=low

  * New co-maintainer Ana Beatriz Guerrero Lopez
  * Changed some sentences to format strings to ease translation by Miriam Ruiz.

 -- Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>  Sun, 14 Aug 2005 22:12:02 +0000

cycle (0.3.0-3) unstable; urgency=low

  * Commented out unneccesary wxversion module import. Closes: #312616.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu,  9 Jun 2005 14:09:22 +0000

cycle (0.3.0-2) unstable; urgency=low

  * Backported the program to wx2.4. Closes: #307516.
  * Allows only user names with ASCII (0x20-0x79) alphanumeric characters.
    Added function check_validname to dialogs.py. Closes: #305558.
  * Updated galician (gl.po) translation.

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon,  18 Apr 2005 23:14:00 +0000

cycle (0.3.0-1) unstable; urgency=low

  * Initial Release. Closes: #303667.
  * Solved upstream bug: colors not initialized the first time a user was created.
  * Added code to use wx 2.5.3 or higher if multiple versions are installed.
  * Added es, ca and gl translations, and solved some bugs in locale subsystem.
  * Added note alerting that this is not a reliable contraceptive method every
    time a new user is created.
	
 -- Miriam Ruiz <little_miry@yahoo.es>  Mon,  4 Apr 2005 20:19:46 +0000

=== debian/control ===
Source: cycle
Section: utils
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Uploaders: Miriam Ruiz <miriam@debian.org>, Python Applications Team <python-apps-team@lists.alioth.debian.org>
Build-Depends-Indep: python (>= 2.3), gettext
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cycle/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cycle/trunk/
Homepage: http://cycle.sourceforge.net/

Package: cycle
Architecture: all
Depends: python (>= 2.3), ${misc:Depends}, python-wxgtk2.8
Description: calendar program for women
 Cycle is a calendar for women. Given a cycle length or statistics for
 several periods, it can calculate the days until menstruation, the days
 of "safe" sex, the fertile period, and the days to ovulations, and 
 define the d.o.b. of a child. It allows the user to write notes and 
 helps to supervise the administration of hormonal contraceptive tablets.
 .
 Possibilities of the program:
   - Calculate days of menstruation, based on the length of the cycle or 
     on statistics of previous periods.
   - Calculate days of "safe" sex, fertile period and day to ovulations.
   - Definition of D.O.B. (Date Of Birth) of a child
   - Allows one to write notes.
   - Helps to supervise reception of hormonal contraceptive tablets.
   - Multiple users allowed. Data is protected by a password for every 
     user.
 .
 NOTE: This program is not a reliable contraceptive method. It does 
 neither help to prevent sexual transmission diseases like AIDS. It is 
 just an electronic means of keeping track of some of your medical data 
 and extract some statistical conclusions from them. You cannot consider 
 this program as a substitute for your gynecologist in any way.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build-indep: build-stamp

build-stamp:
	dh_testdir
	python setup.py build
	cd debian/msg; make
	touch build-stamp

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	cd debian/msg; make clean
	rm -rf build
	rm -f build-stamp
	dh_clean

install: build 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd debian/msg; make install DESTDIR=../cycle/usr/share/locale/
	
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep 
.PHONY: build clean binary-indep binary install

=== debian/watch ===
version=3
http://sf.net/cycle/cycle-(.+)\.tar\.bz2

## cycle 0.3.2

=== debian/changelog ===
cycle (0.3.2-2) unstable; urgency=medium

  * Team upload
  * Clarified license of translations
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2023 08:26:06 +0100

cycle (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * Re-introduce cycle to Debian
  * Point watch file to Github
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * rename debian/NEWS.Debian debian/NEWS (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Upstream has switched to Python3
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Drop translations without copyright for the moment to find time to
    research copyrights
  * Lintian-overrides for national encoding

 -- Andreas Tille <tille@debian.org>  Fri, 14 Oct 2022 08:06:07 +0200

cycle (0.3.1-17) unstable; urgency=medium

  * Team upload
  * Revert port to Python3
    Closes: #940902
  * Warn about future removal at login screen and in NEWS.Debian

 -- Andreas Tille <tille@debian.org>  Mon, 23 Sep 2019 09:31:51 +0200

cycle (0.3.1-16) unstable; urgency=medium

  * Team upload.
  * Redo 2to3 patch, wxPython 4 migration
    Closes: #939181, #940651
  * Inform users about Python3 migration in NEWS.Debian

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 15:18:56 +0200

cycle (0.3.1-15) unstable; urgency=medium

  * Team upload.
  * Use 2to3 to port to Python3
    Closes: #939181
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 16:37:24 +0200

cycle (0.3.1-14) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * removed redundant debian/README.source
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Drop custom compression settings

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 09:50:29 +0100

cycle (0.3.1-13) unstable; urgency=medium

  * Team upload.
  * cme fix dpkg-control
  * Take over to Debian Med team Git
  * debhelper 11
  * Remove old menu file since there is a desktop file
  * d/rules: Short dh
  * DEP3
  * Build-Depends: dh-python

 -- Andreas Tille <tille@debian.org>  Fri, 02 Feb 2018 19:23:34 +0100

cycle (0.3.1-12) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
   * debian/control:
    - Build-Depends-Indep: Remove gettext as debhelper ships it.
    - Description: Remove trailing whitespace.
    - Standards-Version: Update to 3.9.8.
    - Vcs-Browser: Use https.
  * debian/copyright:
    - Update to format 1.0.
  * debian/cycle.desktop:
    - Add keywords field.
  * manpage:
    - Fix typos in cycle.1.

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Maintainer.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 21 Apr 2016 23:26:11 +0200

cycle (0.3.1-11) unstable; urgency=medium

  [ Olly Betts ]
  * Fix initial size of window to not need scrollbars
    - New patch: wxclientsize.patch (Closes: #761335)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 15 Sep 2014 22:52:06 +0200

cycle (0.3.1-10) unstable; urgency=medium

  * Update to use wxpython3.0. Patch by Olly Betts. (Closes: #758955)
  * Update cycle depends from python-wxgtk2.8 to python-wxgtk3.0.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 07 Sep 2014 16:44:56 +0200

=== debian/control ===
Source: cycle
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <miriam@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/cycle
Vcs-Git: https://salsa.debian.org/med-team/cycle.git
Homepage: https://cycle.sourceforge.net/
Rules-Requires-Root: no

Package: cycle
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-wxgtk4.0
Description: calendar program for women
 Cycle is a calendar for women. Given a cycle length or statistics for
 several periods, it can calculate the days until menstruation, the days
 of "safe" sex, the fertile period, and the days to ovulations, and
 define the d.o.b. of a child. It allows the user to write notes and
 helps to supervise the administration of hormonal contraceptive tablets.
 .
 Possibilities of the program:
   - Calculate days of menstruation, based on the length of the cycle or
     on statistics of previous periods.
   - Calculate days of "safe" sex, fertile period and day to ovulations.
   - Definition of D.O.B. (Date Of Birth) of a child
   - Allows one to write notes.
   - Helps to supervise reception of hormonal contraceptive tablets.
   - Multiple users allowed. Data is protected by a password for every
     user.
 .
 NOTE: This program is not a reliable contraceptive method. It does
 neither help to prevent sexual transmission diseases like AIDS. It is
 just an electronic means of keeping track of some of your medical data
 and extract some statistical conclusions from them. You cannot consider
 this program as a substitute for your gynecologist in any way.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	if [ -d debian/msg ] ; then cd debian/msg; make ; fi

override_dh_clean:
	if [ -d debian/msg ] ; then cd debian/msg; make clean; fi
	dh_clean

override_dh_install:
	dh_install
	if [ -d debian/msg ] ; then cd debian/msg; make install DESTDIR=../cycle/usr/share/locale/ ; fi

override_dh_python2:
	dh_python2
	# the code is installed to /usr/share/cycle - no idea why there is a copy of the main program in /usr/lib/python2.7
	rm -rf debian/*/usr/lib/python*
	find debian -name "lib" -type d -empty | xargs rmdir

## cycle 0.3.3

=== debian/changelog ===
cycle (0.3.3-1) unstable; urgency=medium

  * Team upload
  * Upstream bugfix release
    Closes: #1036988
  * Code moved to Github
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop override_dh_python2

 -- Andreas Tille <tille@debian.org>  Thu, 01 Jun 2023 10:26:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cycle
 Vcs-Git: https://salsa.debian.org/med-team/cycle.git
-Homepage: https://cycle.sourceforge.net/
+Homepage: https://github.com/metlov/cycle
 Rules-Requires-Root: no
 
 Package: cycle

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,3 @@
 override_dh_install:
 	dh_install
 	if [ -d debian/msg ] ; then cd debian/msg; make install DESTDIR=../cycle/usr/share/locale/ ; fi
-
-override_dh_python2:
-	dh_python2
-	# the code is installed to /usr/share/cycle - no idea why there is a copy of the main program in /usr/lib/python2.7
-	rm -rf debian/*/usr/lib/python*
-	find debian -name "lib" -type d -empty | xargs rmdir

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/metlov/cycle/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## cycle 1.65.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: cycle
-Version: 1.64.0
+Version: 1.65.0
 Date: 2016-02-18
 Title: Significance of periodic expression pattern in time-series data
 Author: Matthias Futschik <mfutschik@ualg.pt>
@@ -13,10 +13,10 @@
 URL: http://cycle.sysbiolab.eu
 biocViews: Microarray, TimeCourse
 git_url: https://git.bioconductor.org/packages/cycle
-git_branch: RELEASE_3_22
-git_last_commit: 3e6fa8d
+git_branch: devel
+git_last_commit: cf91b5c
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-31
 NeedsCompilation: no
-Packaged: 2025-10-30 03:25:02 UTC; biocbuild
+Packaged: 2025-10-31 21:17:58 UTC; biocbuild
